package com.srs.stureg.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.stureg.domain.SrsStuCheck;

/**
 * 报到核验Service接口
 *
 * @author srs
 * @date 2024-09-09
 */
public interface ISrsStuCheckService extends IService<SrsStuCheck> {
    /**
     * 查询报到核验
     *
     * @param id 报到核验主键
     * @return 报到核验
     */
    public SrsStuCheck selectSrsStuCheckById(Long id);

    /**
     * 查询报到核验列表
     *
     * @param srsStuCheck 报到核验
     * @return 报到核验集合
     */
    List<SrsStuCheck> selectSrsStuCheckList(SrsStuCheck srsStuCheck);

    /**
     * 新增报到核验
     *
     * @param srsStuCheck 报到核验
     * @return 结果
     */
    int insertSrsStuCheck(SrsStuCheck srsStuCheck);

    /**
     * 修改报到核验
     *
     * @param srsStuCheck 报到核验
     * @return 结果
     */
    int updateSrsStuCheck(SrsStuCheck srsStuCheck);

    /**
     * 批量删除报到核验
     *
     * @param ids 需要删除的报到核验主键集合
     * @return 结果
     */
    int deleteSrsStuCheckByIds(Long[] ids);

    /**
     * 删除报到核验信息
     *
     * @param id 报到核验主键
     * @return 结果
     */
    int deleteSrsStuCheckById(Long id);


    SrsStuCheck getowmInfo(String ksh);
}
